with Ada.Text_Io; use Ada.Text_Io;
with Ada.Integer_Text_Io; use Ada.Integer_Text_Io;

package Chaines_De_Caracteres is

   Motif_Non_Present : exception;
   Taille_Differente : exception;

   function Indice_De (Chaine : String;
                       Dans : String) return Natural;

   function Remplacement (De : String;
                          Par : String;
                          Dans : String) return String;

private

   function Correspond (Chaine : String;
                        Position_Chaine : Natural;
                        Dans : String;
                        Position_Dans : Natural) return Boolean;

end Chaines_De_Caracteres;
